/*
 * @Author: your name
 * @Date: 2021-10-25 08:38:02
 * @LastEditTime: 2021-10-26 17:19:24
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \hyyfScreen\src\main.js
 */
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'lib-flexible/flexible'
import './assets/ttf/font.css';
import echart from 'echarts';
import { DatePicker, Row, Col, Select, Option, Icon, Input, Button, Message, Cascader, Loading, Avatar } from 'element-ui';

Vue.config.productionTip = false
Vue.prototype.$echarts = echart
Vue.use(DatePicker)
Vue.use(Row)
Vue.use(Col)
Vue.use(Select)
Vue.use(Option)
Vue.use(Icon)
Vue.use(Input)
Vue.use(Button)
Vue.use(Message)
Vue.use(Cascader)
Vue.use(Loading)
Vue.use(Avatar)
Vue.prototype.$message = Message;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
